Bug 463928 - F8 Canon PowerShot A510 USB device
F8 Canon PowerShot A510 USB device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 10:34 EDT by Clodoaldo Pinto Neto
Modified: 2013-07-02 19:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log (110.41 KB, text/plain)
2008-09-25 10:34 EDT, Clodoaldo Pinto Neto
no flags Details
gphoto2 --debug output (110.76 KB, text/plain)
2008-10-19 14:40 EDT, Michael Carney
no flags Details

  None (edit)
Description Clodoaldo Pinto Neto 2008-09-25 10:34:24 EDT
Created attachment 317692 [details]
error log

The camera is correctly detected (Canon PowerShot A510) but i get this
error from Gthumb

"An error occurred in the io-library ('Bad parameters'): Could not
find USB device (vendor 0x4a9, product 0x30c2). Make sure this device
is connected to the computer."

And from gphoto2:

$ gphoto2 --get-all-files
Detected a 'Canon:PowerShot A510 (normal mode)'.
*** Error (-114: 'OS error in camera communication') ***

For debugging messages, please use the --debug option.
Debugging messages may help finding a solution to your problem.
If you intend to send any error or debug messages to the gphoto
developer mailing list <gphoto-devel lists sourceforge net>, please run
gphoto2 as follows:

   env LANG=C gphoto2 --debug --debug-logfile=my-logfile.txt --get-all-files

Please make sure there is sufficient quoting around the arguments.

$ env LANG=C gphoto2 --debug --debug-logfile="my-logfile.txt" --get-all-files

*** Error ***
An error occurred in the io-library ('Bad parameters'): Could not find
USB device (vendor 0x4a9, product 0x30c2). Make sure this device is
connected to the computer.
*** Error (-2: 'Bad parameters') ***

For debugging messages, please use the --debug option.
Debugging messages may help finding a solution to your problem.
If you intend to send any error or debug messages to the gphoto
developer mailing list <gphoto-devel lists sourceforge net>, please run
gphoto2 as follows:

   env LANG=C gphoto2 --debug --debug-logfile=my-logfile.txt --debug
--debug-logfile=my-logfile.txt --get-all-files

Please make sure there is sufficient quoting around the arguments.
Comment 1 Clodoaldo Pinto Neto 2008-09-25 10:43:44 EDT
Confirmed by another user:
https://www.redhat.com/archives/fedora-list/2008-September/msg02762.html
Comment 2 James Wilkinson 2008-10-02 14:49:56 EDT
I am seeing the same thing on Fedora 9.
Comment 3 James Wilkinson 2008-10-04 09:53:37 EDT
Sorry, that comment wasn't the most useful.

I can see this on a completely up-to-date x86-64 Fedora 9. I also see it if I reboot with a pristine x86-64 Fedora 9 Live CD.
Comment 4 Michael Carney 2008-10-19 14:40:48 EDT
Created attachment 320812 [details]
gphoto2 --debug output

output of gphoto2 --debug --summary
Comment 5 Michael Carney 2008-10-19 14:48:59 EDT
Apparently if a read() of the camera fails due to an interrupt, the library takes this a
Comment 6 Michael Carney 2008-10-19 14:51:18 EDT
a fatal error, and doesn't recover. It should just retry the read until it succeeds.

0.545080 canon/canon/usb.c(2): canon_usb_camera_init() read_bytes=0x0
0.545105 gphoto2-port(2): Reading 16=0x10 bytes from interrupt endpoint...
0.622986 gphoto2-port(2): Setting timeout to 5000 millisecond(s)...
0.623010 canon/canon/usb.c(2): canon_usb_camera_init() interrupt read returned only 0 bytes, status=-10
0.623036 gphoto2-port(2): Closing port...
0.863672 gp-camera(2): Freeing camera...

[Sorry about this comment being split between comments #5 and #6. You can thank my cat :) ]
Comment 7 Bug Zapper 2008-11-26 06:10:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 James Wilkinson 2008-11-29 14:02:02 EST
On Fedora 10, with all updates, running Gnome, plugging in the camera usually leads to a window saying:

Unable to mount Canon, Inc. PowerShot A510 (normal mode) / PowerShot A510 (PTP mode)
Error initialising camera: -1: Unspecified error

Occasionally (when I plug the camera in) gthumb launches, and crashes in the "Import Photos" window when I try to choose the Destination.

Sometimes I plug the camera in, and get asked which application I want. When this happens, gthumb then seems to work properly.

Obviously, there's something random going on here, so it's difficult to say that something *always* works. But
gphoto2 --get-all-files
seems to work reliably.

I no longer have Fedora 9 installed.
Comment 9 Bug Zapper 2009-01-09 01:46:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.